<id>
The Guardian SP1.3.x Dutch
</id>

<version>
2.0e
</version>

<mod info>
This module guards and offers protection of your board against: 
 
- proxy server abuse including whitelisting for acceptable users or proxies
- referer abuse 
- request method abuse 
- harvester abuse (extended harvester search strings are already supplied in the settings) 
- environment string abuse 
- CLIKE hacks (MySQL database injection abuse) 
- UNION hacks (MySQL database injection abuse) 
- Any kind of script abuse (javascript, Iframe script, activex etc...) 
- .htaccess server level blocking to the main script (YaBB.*) (only for servers supporting it)
- manual editing of .htaccess entries without having to know the syntax
 
In the admin center you have an ON/OFF option for each blocker and an optional email notification to the admin email address of each detected abuse.

How to install:
- Apply the appropriate mod
- Upload the new files in /Sources (Guardian.pl, GuardianAdmin.pl).
- Upload the new files in /YaBBImages (guardian.gif, guardian_icon.gif).
- Upload the new files in /Variables (Guardian.settings, Guardian.banned).
- Upload the changed files (YaBB.pl, Sublist.pl, Admin.pl, english.lng, template.html, .htaccess).
- Switch it on or off in Admin Board Preferences.

And it should work ;-)

Version History
1.0
Original Release for SP2

1.1
Reworked version for SP1.3.x

1.1a
Mod fix

1.1b
Fixed two swapped txt vars in Guardian.pl (mixing up form and url abuse in scripting)
Added abusing userid/screen name to notification

2.0
- enhanced email notification reporting giving more info needed to determine the possible abuse.
- added .htaccess server level blocking to the main script
- added .htaccess auto add per blocker
- added .htaccess editor
- added proxy whitelisting on IP (both user and proxy, proxy id string (http_via) or YaBB user id)

2.0a
Changed .htaccess format to comply

2.0b
Allow for partial IP addresses (without *) in the whitelist, so 111.222.333.

2.0c
Fixed wrong var in Guardian.pl

2.0d
Fixed wrong var in htaccess update in Guardian.pl

2.0e
Fixed dutch version to edit dutch.lng instead of english.lng
</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.yabbforum.com
</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
&LoadUserSettings;	# Load user settings
</search for>

<add after>

require "$sourcedir/Guardian.pl";
&guard;

</add after>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=ipban">$txt{'206'}</a><br>
</search for>

<add after>
        - <a href="$cgi;action=setup_guardian">$guardian_txt{'main'}</a><br>
</add after>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
'editnews2',"AdminEdit.pl&EditNews2",
</search for>

<add after>
'setup_guardian',"GuardianAdmin.pl&setup_guardian",
'setup_guardian2',"GuardianAdmin.pl&setup_guardian2",
</add after>

<edit file>
dutch.lng
</edit file>

<search for>
if($MenuType == 1) {
</search for>

<add before>

%guardian_txt = (
'main' => "The Guardian&trade;",
'admin' => "The Guardian&trade; Administrator",
'setup' => "The Guardian&trade; Instellingen",
'title' => "Welkom bij \"The Guardian&trade;\", De poortwachter tegen ongewenste indringers.",
'description' => "Met de \"The Guardian&trade;\" kan je indringers op diverse zaken blokkeren, met als resultaat een veiliger forum en minder kans om gehackt te worden.",
'notify' => "Wil je een e-mail notificatie bij gedetecteerde pogingen ?",
'general' => "Globale en Server Instellingen",
'use_guardian' => "Gebruik The Guardian&trade; om je forum te beschermen?",
'use_htaccess' => "Aktiveer .htaccess om IP adressen te blokkeren op serverniveau?<br/ ><span class=\"small\"><i>(werkt alleen als je server dit ondersteunt)</i></span>",
'htaccess_add' => "Auto toevoegen van overtredende IP addressen aan .htaccess?<br/ ><span class=\"small\"><i>(werkt alleen als je server dit ondersteunt)</i></span>",
'htaccess_added' => "Overtredende IP adres is automatisch toegevoegd aan .htaccess. (Je kunt het handmatig weer verwijderen van Guardian Admin)",
'proxy' => "Proxy Blokkering",
'referer' => "Referer Blokkering",
'harvester' => "Oogstrobot Blokkering",
'request' => "Request Methode Blokkering",
'string' => "Environment Term Blokkering",
'clike' => "CLIKE Blokkering",
'union' => "UNION Blokkering",
'script' => "Scripting Blokkering",
'proxy_reason' => "Proxytoegang tot dit forum is niet toegestaan!",
'referer_reason' => "Toegang tot het forum vanaf het gegeven url is geblokkeerd!",
'harvester_reason' => "Deze oogstrobot is geblokkeerd op dit forum!",
'request_reason' => "De Request Methode die je tracht te gebruiken is niet toegestaan hier!",
'string_reason' => "In je url zijn termen gevonden die hier niet gewenst zijn!",
'clike_reason' => "Het heeft geen nut deze site dmv CLIKE te hacken daar wij geen MySQL gebruiken!",
'union_reason' => "Het heeft geen nut deze site dmv UNION te hacken daar wij geen MySQL gebruiken!",
'script_reason' => "Je hebt een vorm van scripting gebruikt in je url of formulier welke wij niet toestaan!",
'proxy_on' => "Blokkeer de toegang via proxy servers ?",
'referer_on' => "Activeer referer blokkering ?",
'harvester_on' => "Activeer oogstrobot blokkering ?",
'request_on' => "Activeer Request Methode blokkering ?",
'string_on' => "Activeer 'foute woorden' in url environment blokkering ?",
'clike_on' => "Activeer CLIKE blokkering (alleen MySQL) ?",
'union_on' => "Activeer UNION blokkering (alleen MySQL) ?",
'script_on' => "Activeer scripting blokkering ?",
'proxy_abuse' => "Proxy Toegang",
'referer_abuse' => "Referer",
'harvester_abuse' => "Oogstrobot",
'request_abuse' => "Request Methode",
'string_abuse' => "URL Verboden Term",
'clike_abuse' => "CLIKE",
'union_abuse' => "UNION",
'script_abuse' => "Scripting",
'abuse' => "Overtreding Gedetecteerd!",
'abuse_user' => "Overtredende gebruikers ID (Schermnaam)",
'abuse_ip' => "Overtreding gedetecteerd vanaf IP",
'abuse_referer' => "Geblokkeerde referer",
'abuse_string' => "Geblokkeerd woord",
'abuse_environment' => "Environment regel",
'abuse_form_environment' => "Geblokkeerd script in formulier data",
'abuse_url_environment' => "Geblokkeerd script in Url data",
'abuse_harvester' => "Geblokkeerde Oogstrobot",
'abuse_request' => "Geblokkeerde Request Methode",
'white_list' => "Geef IP's, gebruikers ID of proxy identificatietekst welke niet geblokkeerd behoeven te worden (whitelist) ?<br /><span class=\"small\"><i>(gehele of gedeeltelijke agent tekst de gebruikers ID en IP's volledig, een per regel)</i></span>",
'referer_list' => "Geef de referers url's op  welke geblokkeerd moeten worden ?<br /><span class=\"small\"><i>(gehele of gedeeltelijke url, een per regel)</i></span>",
'harvester_list' => "Geef oogstrobots sleutels welke geblokkeerd moeten worden ?<br /><span class=\"small\"><i>(gehele of gedeeltelijke agent tekst, een per regel)</i></span>",
'request_list' => "Geef Request Methoden welke geblokkeerd moeten worden ?<br /><span class=\"small\"><i>(gehele of gedeeltelijke methode tekst, een per regel)</i></span><br /><br /><b><u>ATTENTIE!</u><br />POST en GET NOOIT BLOKKEREN !<br />Het maakt je forum onbruikbaar !</b>",
'string_list' => "Geef 'termen' welke geblokkeerd moeten worden ?<br /><span class=\"small\"><i>(gehele of gedeeltelijke tekst, een per regel)</i></span>",
'htaccess_list' => "Geef IP adressen of (gedeeltelijke) domeinnamen op welke op server niveau geblokkeerd moeten worden?<br /><span class=\"small\"><i>(* wildcards toegestaan, een per regel)</i></span>",
'save' => "Sla Guardian wijzigingen op",
);

</add before>

<edit file>
template.html
</edit file>

<search for>
-->
</style>
</search for>

<add before>

.gtitlebg {
background-color: #D2DBE6;
color: #475F79;
font-size: 13px;
}
.small {
font-size: 10px;
font-family: verdana, sans-serif;
}
.setting_cell {
float: left;
width: 55%;
text-align: left;
font-size: 12px;
padding-top: 2px;
padding-bottom: 2px;
}
.setting_cell2 {
float: left;
width: 45%;
text-align: left;
font-size: 12px;
padding-top: 2px;
padding-bottom: 2px;
}

</add before>

