<id>
The Guardian SP1.3.x English
</id>

<version>
2.0e
</version>

<mod info>
This module guards your board against: 
 
- .htaccess server level blocking to the main script (YaBB.*) (only for servers supporting it)
- manual editing of .htaccess entries without having to know the syntax
- proxy server abuse including whitelisting for acceptable users or proxies
- referer abuse 
- request method abuse 
- harvester abuse (extended harvester search strings are already supplied in the settings) 
- environment string abuse 
- CLIKE hacks (MySQL database injection abuse) 
- UNION hacks (MySQL database injection abuse) 
- Any kind of script abuse (javascript, Iframe script, activex etc...) 
 
In the admin center you have an ON/OFF option for each blocker and an optional email notification to the admin email address of each detected abuse.

How to install:
- Apply the appropriate mod
- Upload the new files in /Sources (Guardian.pl, GuardianAdmin.pl).
- Upload the new files in /YaBBImages (guardian.gif, guardian_icon.gif).
- Upload the new files in /Variables (Guardian.settings, Guardian.banned).
- Upload the changed files (YaBB.pl, Sublist.pl, Admin.pl, english.lng, template.html, .htaccess).
- Switch it on or off in Admin Board Preferences.

And it should work ;-)

Version History
1.0
Original Release for SP2

1.1
Reworked version for SP1.3.x

1.1a
Mod fix

1.1b
Fixed two swapped txt vars in Guardian.pl (mixing up form and url abuse in scripting)
Added abusing userid/screen name to notification

2.0
- enhanced email notification reporting giving more info needed to determine the possible abuse.
- added .htaccess server level blocking to the main script
- added .htaccess auto add per blocker
- added .htaccess editor
- added proxy whitelisting on IP (both user and proxy, proxy id string (http_via) or YaBB user id)

2.0a
Changed .htaccess format to comply

2.0b
Allow for partial IP addresses (without *) in the whitelist, so 111.222.333.

2.0c
Fixed wrong var in Guardian.pl

2.0d
Fixed wrong var in htaccess update in Guardian.pl

2.0e
Fixed dutch version to edit dutch.lng instead of english.lng
</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.yabbforum.com
</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
&LoadUserSettings;	# Load user settings
</search for>

<add after>

require "$sourcedir/Guardian.pl";
&guard;

</add after>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=ipban">$txt{'206'}</a><br>
</search for>

<add after>
        - <a href="$cgi;action=setup_guardian">$guardian_txt{'main'}</a><br>
</add after>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
'editnews2',"AdminEdit.pl&EditNews2",
</search for>

<add after>
'setup_guardian',"GuardianAdmin.pl&setup_guardian",
'setup_guardian2',"GuardianAdmin.pl&setup_guardian2",
</add after>

<edit file>
english.lng
</edit file>

<search for>
if($MenuType == 1) {
</search for>

<add before>

%guardian_txt = (
'main' => "The Guardian&trade;",
'admin' => "The Guardian&trade; Administrator",
'setup' => "The Guardian&trade; Setup",
'title' => "Welcome to \"The Guardian&trade;\", Your Gatekeeper against intruders.",
'description' => "With \"The Guardian&trade;\" you can block intruders on various levels, resulting in a better security and less chance of hacking.",
'notify' => "Do you want an email notification on any detected attempts ?",
'general' => "Global and Server Settings",
'use_guardian' => "Use The Guardian&trade; to protect your board?",
'use_htaccess' => "Activate .htaccess to add IP blocks on server level?<br/ ><span class=\"small\"><i>(only works if your server supports it)</i></span>",
'htaccess_add' => "Auto add abusing IP addresses to .htaccess?<br/ ><span class=\"small\"><i>(only works if your server supports it)</i></span>",
'htaccess_added' => "Auto added abusing IP address to .htaccess file. (You can remove it from the list manually from the Guardian Admin)",
'proxy' => "Proxy Blocking",
'referer' => "Referer Blocking",
'harvester' => "Harvester Blocking",
'request' => "Request Method Blocking",
'string' => "Environment String Blocking",
'clike' => "CLIKE Blocking",
'union' => "UNION Blocking",
'script' => "Scripting Blocking",
'proxy_reason' => "Proxy Access to this forum is denied!",
'referer_reason' => "Access to the forum from the current url is prohibited!",
'harvester_reason' => "This harvester is denied access to the forum!",
'request_reason' => "The Request Method you tried to use is not allowed here!",
'string_reason' => "Your url contains words not allowed here!",
'clike_reason' => "It's useless to try to CLIKE hack this site as it does not run MySQL!",
'union_reason' => "It's useless to try to UNION hack this site as it does not run MySQL!",
'script_reason' => "You tried to use scripting in the url or form input, which is not allowed!",
'proxy_on' => "Deny access through proxy servers ?",
'referer_on' => "Activate referer blocking ?",
'harvester_on' => "Activate harvester blocking ?",
'request_on' => "Activate Request Method blocking ?",
'string_on' => "Activate 'bad words' in url environment blocking ?",
'clike_on' => "Activate CLIKE blocking (only MySQL) ?",
'union_on' => "Activate UNION blocking (only MySQL) ?",
'script_on' => "Activate scripting blocking ?",
'proxy_abuse' => "Proxy Access",
'referer_abuse' => "Referer",
'harvester_abuse' => "Harvester",
'request_abuse' => "Request Method",
'string_abuse' => "Url Bad String",
'clike_abuse' => "CLIKE",
'union_abuse' => "UNION",
'script_abuse' => "Scripting",
'abuse' => "Abuse Detected!",
'abuse_user' => "Abusing user ID (Real Name)",
'abuse_ip' => "Abuse detected from IP",
'abuse_referer' => "Blocked referer",
'abuse_string' => "Blocked word",
'abuse_environment' => "Environment string",
'abuse_form_environment' => "Blocked script in form data",
'abuse_url_environment' => "Blocked script in Url data",
'abuse_harvester' => "Blocked Harvester",
'abuse_request' => "Blocked Request Method",
'white_list' => "Enter IP's, user id or proxy identifier strings you want to pass through (whitelist) ?<br /><span class=\"small\"><i>(whole or partial proxy identifier string but user ID and/or IP's full only, one per line)</i></span>",
'referer_list' => "Enter referer url's you want blocked ?<br /><span class=\"small\"><i>(whole or partial url, one per line)</i></span>",
'harvester_list' => "Enter harvester agent strings you want blocked ?<br /><span class=\"small\"><i>(whole or partial agent string, one per line)</i></span>",
'request_list' => "Enter Request Methods you want blocked ?<br /><span class=\"small\"><i>(whole or partial method string, one per line)</i></span><br /><br /><b><u>ATTENTION!</u><br />NEVER BLOCK POST and GET!<br />It will render your board useless !</b>",
'string_list' => "Enter 'bad words' you want blocked ?<br /><span class=\"small\"><i>(whole or partial string, one per line)</i></span>",
'htaccess_list' => "Enter IP addresses or (partial) domain names you want blocked on server level ?<br /><span class=\"small\"><i>(* wildcards allowed, one per line)</i></span>",
'save' => "Save Guardian Changes",
);

</add before>

<edit file>
template.html
</edit file>

<search for>
-->
</style>
</search for>

<add before>

.gtitlebg {
background-color: #D2DBE6;
color: #475F79;
font-size: 13px;
}
.small {
font-size: 10px;
font-family: verdana, sans-serif;
}
.setting_cell {
float: left;
width: 55%;
text-align: left;
font-size: 12px;
padding-top: 2px;
padding-bottom: 2px;
}
.setting_cell2 {
float: left;
width: 45%;
text-align: left;
font-size: 12px;
padding-top: 2px;
padding-bottom: 2px;
}

</add before>

